%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-constantly
Version:       23.10.4
Release:       1mamba
Summary:       A library that provides symbolic constant support
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/constantly/
Source:        http://pypi.debian.net/constantly/constantly-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: python-versioneer-py3

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n constantly-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}/*
%doc CREDITS LICENSE

%changelog
* Fri Feb 23 2024 Automatic Build System <autodist@openmamba.org> 23.10.4-1mamba
- automatic version update by autodist

* Tue Sep 26 2023 Automatic Build System <autodist@mambasoft.it> 15.1.0-3mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Fri Apr 09 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 15.1.0-2mamba
- rebuilt with distdeps

* Thu Jan 10 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 15.1.0-1mamba
- package created using the webbuild interface
